package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "SessionPerformanceData",
   propOrder = {"folderName", "workflowName", "instanceName", "taskRunStatus", "workflowRunId", "workletRunId", "workflowRunInstanceName", "performanceCounter"}
)
public class SessionPerformanceData {
   @XmlElement(
      name = "FolderName",
      required = true,
      nillable = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowName",
      required = true,
      nillable = true
   )
   protected String workflowName;
   @XmlElement(
      name = "InstanceName",
      required = true,
      nillable = true
   )
   protected String instanceName;
   @XmlElement(
      name = "TaskRunStatus",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected ETaskRunStatus taskRunStatus;
   @XmlElement(
      name = "WorkflowRunId"
   )
   protected int workflowRunId;
   @XmlElement(
      name = "WorkletRunId"
   )
   protected int workletRunId;
   @XmlElement(
      name = "WorkflowRunInstanceName",
      required = true
   )
   protected String workflowRunInstanceName;
   @XmlElement(
      name = "PerformanceCounter"
   )
   protected List<PerformanceCounter> performanceCounter;

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public String getInstanceName() {
      return this.instanceName;
   }

   public void setInstanceName(String value) {
      this.instanceName = value;
   }

   public ETaskRunStatus getTaskRunStatus() {
      return this.taskRunStatus;
   }

   public void setTaskRunStatus(ETaskRunStatus value) {
      this.taskRunStatus = value;
   }

   public int getWorkflowRunId() {
      return this.workflowRunId;
   }

   public void setWorkflowRunId(int value) {
      this.workflowRunId = value;
   }

   public int getWorkletRunId() {
      return this.workletRunId;
   }

   public void setWorkletRunId(int value) {
      this.workletRunId = value;
   }

   public String getWorkflowRunInstanceName() {
      return this.workflowRunInstanceName;
   }

   public void setWorkflowRunInstanceName(String value) {
      this.workflowRunInstanceName = value;
   }

   public List<PerformanceCounter> getPerformanceCounter() {
      if (this.performanceCounter == null) {
         this.performanceCounter = new ArrayList();
      }

      return this.performanceCounter;
   }
}
